;Filename: TWd.s
;Part: ADuC703x.
;Created: 12/04/2006
;Author: Eckart Hartmann of Analog Devices
;This file is in beta sampling.

;This software is supplied subject our standard software license agreement.
;A non-binding summary is as follows:
;"You may use the software in your own code at your own risk.
;" ADI inc disclaims any warranty or liability of its use".
;The full standard software license agreement is available on request and
; remains the binding agreement.

#include        "..\Fla\ADuC703xi.equ"

; TWkk==========Kicks the watchdog (T3).
; C Function prototype: int TWkk(void);
;iT:{T_T3}
; Description of Function: Kicks the watchdog (T3).
; User interface:
;   Set iT to 3.
;   Call TWkk(iT).
;   Returns 3.
; Robustness:
;  Only works with T3. Will have no effect if used on other timers
; Side effects: Corrupts r3.

                RSEG CODE
                MODULE TWkk
                PUBLIC TWkk
                CODE32

TWkk:
        mov     r3,#0xff000000
        add     r3,r3,#0xff0000
        str     r0,[r3,#Z_T3CLRI] 		; KickWatchDog
        bx      lr

                 ENDMOD  TWkk
                 END

